Loading...
Searching...
No Matches
Smtp.idl
/* SPDX-License-Identifier: BSD-3-Clause */
/*
* Copyright 2010 Raritan Inc. All rights reserved.
*/
/**
* Device Settings
*/
module devsettings {
/** SMTP settings interface */
interface Smtp {
constant int ERR_INVALID_PARAMS = 1; ///< Invalid parameters
/** SMTP server configuration */
structure Configuration {
string host; ///< SMTP server host name or IP address
int port; ///< SMTP server port
boolean useTls; ///< Enforce TLS usage
boolean allowOffTimeRangeCerts; ///< allow expired and not yet valid TLS certificates
string caCertChain; ///< TLS CA certificate chain
string sender; ///< Sender email address
boolean useAuth; ///< SMTP server requires authentication
string username; ///< Authentication user name
string password; ///< Password; write-only, empty to leave unchanged
int retryCount; ///< Number of attempts at sending the email
int retryInterval; ///< Sending retry interval in minutes
};
/**
* Retrieve the SMTP server configuration.
*
* @return SMTP server configuration
*/
Configuration getConfiguration();
/**
* Set the SMTP server configuration.
*
* @param cfg New SMTP server settings
*
* @return 0 if OK
* @return 1 if any parameters are invalid
*/
int setConfiguration(in Configuration cfg);
/** Result of SMTP configuration test */
structure TestResult {
int status; ///< Status code; 0 if OK
string message; ///< Status message
};
/**
* Test an SMTP server configuration. The active server configuration
* is not changed.
*
* @param cfg SMTP server settings to test
* @param recipients Recipient email addresses
*
* @result Result of configuration test
*/
TestResult testConfiguration(in Configuration cfg, in vector<string> recipients);
};
}
devsettings::Smtp
SMTP settings interface.
Definition Smtp.idl:12
devsettings::Smtp::testConfiguration
TestResult testConfiguration(in Configuration cfg, in vector< string > recipients)
Test an SMTP server configuration.
devsettings::Smtp::getConfiguration
Configuration getConfiguration()
Retrieve the SMTP server configuration.
devsettings::Smtp::setConfiguration
int setConfiguration(in Configuration cfg)
Set the SMTP server configuration.
devsettings
Device Settings.
Definition Crestron.idl:9
devsettings::Smtp::Configuration
SMTP server configuration.
Definition Smtp.idl:17
devsettings::Smtp::Configuration::retryCount
int retryCount
Number of attempts at sending the email.
Definition Smtp.idl:27
devsettings::Smtp::Configuration::allowOffTimeRangeCerts
boolean allowOffTimeRangeCerts
allow expired and not yet valid TLS certificates
Definition Smtp.idl:21
devsettings::Smtp::Configuration::port
int port
SMTP server port.
Definition Smtp.idl:19
devsettings::Smtp::Configuration::useTls
boolean useTls
Enforce TLS usage.
Definition Smtp.idl:20
devsettings::Smtp::Configuration::username
string username
Authentication user name.
Definition Smtp.idl:25
devsettings::Smtp::Configuration::useAuth
boolean useAuth
SMTP server requires authentication.
Definition Smtp.idl:24
devsettings::Smtp::Configuration::password
string password
Password; write-only, empty to leave unchanged.
Definition Smtp.idl:26
devsettings::Smtp::Configuration::retryInterval
int retryInterval
Sending retry interval in minutes.
Definition Smtp.idl:28
devsettings::Smtp::Configuration::host
string host
SMTP server host name or IP address.
Definition Smtp.idl:18
devsettings::Smtp::Configuration::sender
string sender
Sender email address.
Definition Smtp.idl:23
devsettings::Smtp::Configuration::caCertChain
string caCertChain
TLS CA certificate chain.
Definition Smtp.idl:22
devsettings::Smtp::TestResult
Result of SMTP configuration test.
Definition Smtp.idl:49
devsettings::Smtp::TestResult::status
int status
Status code; 0 if OK.
Definition Smtp.idl:50
devsettings::Smtp::TestResult::message
string message
Status message.
Definition Smtp.idl:51